<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\Detailsreiter\Kurse;

class ReiterKurseController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ReiterKurseUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new ReiterKurseRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ReiterKursePresenter($pUseCaseResponse);
  }
}